## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
Nature inspired algorithms for hyper-parameter tuning of scikit-learn models.
This package uses algorithms implementation from NiaPy.

Documentation is available at:
https://sklearn-nature-inspired-algorithms.readthedocs.io/en/stable/ }

Name:           python-sklearn-nature-inspired-algorithms
Version:        0.12.0
Release:        %autorelease
Summary:        Nature-inspired algorithms for scikit-learn

# SPDX
License:        MIT
URL:            https://github.com/timzatko/Sklearn-Nature-Inspired-Algorithms
Source:         %{url}/archive/v%{version}/Sklearn-Nature-Inspired-Algorithms-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist toml-adapt}

%description %_description

%package -n python3-sklearn-nature-inspired-algorithms
Summary:        %{summary}

%description -n python3-sklearn-nature-inspired-algorithms %_description

%prep
%autosetup -p1 -n Sklearn-Nature-Inspired-Algorithms-%{version}
rm -fv poetry.lock

# Make deps consistent with Fedora deps
toml-adapt -path pyproject.toml -a change -dep ALL -ver X

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sklearn_nature_inspired_algorithms

%check
%{py3_test_envvars} %{python3} -m unittest tests

%files -n python3-sklearn-nature-inspired-algorithms -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-12
- Confirm License is SPDX MIT

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-11
- Stop conditionalizing the tests

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-10
- F38+: Use %%{py3_test_envvars} to set up the test environment

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-7
- Drop unused Sphinx HTML documentation conditional

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-6
- Add the mandatory python3-devel BR; drop unnecessary manual BR’s

* Thu Aug 17 2023 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.12.0-1
- Update to 0.12.0
- Remove previous patch

* Thu Jul 20 2023 Sandro <devel@penguinpee.nl> - 0.11.0-6
- Fix AttributeError (RHBZ#2220506)

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 0.11.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 3 2023 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.11.0-3
- Enable tests

* Tue Jan 3 2023 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.11.0-2
- Remove obsolete macro

* Tue Jan 3 2023 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.11.0-1
- Update to the latest upstream's release

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 04 2022 Python Maint <python-maint@redhat.com> - 0.9.0-2
- Rebuilt for Python 3.11

* Mon May 23 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.9.0-1
- Update to the latest upstream's release

* Wed Apr 6 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.8.1-1
- Update to the latest upstream's release

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 31 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.7.1-1
- Update to the latest upstream's release

* Sat Oct 16 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.6.1-1
- Update to the latest upstream's release

* Fri Oct 8 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.6.0-3
- Use default scikit-learn dependency

* Sun Aug 22 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.6.0-2
- New version tag

* Sun Aug 1 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.6.0-1
- Update to the latest upstream's release

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.2-3
- Rebuilt for Python 3.10

* Fri May 14 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.5.2-2
- Re-enable tests

* Thu May 13 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.5.2-1
- Update to the latest upstream release
- Remove patch
- Remove unneeded macros

* Tue Apr 6 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.5.1-1
- New version

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 21 2021 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.4.6-3
- Do not test - scikit problems (Will be re-enabled)

* Fri Oct 09 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.6-2
- Do not include generated docs: bundle lots of fonts
- Correct doc generation command

* Fri Aug 14 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.5-1
- Update to use poetry
- correct URLS
- add conditionals for test and docs

* Mon Jul 27 2020 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.4.5-1
- Initial package

